package com.dsk.web.controller.dsk;


import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.system.dskService.EnterpriseBussinessService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
*@Description: 央企经营管理系统企业业务相关
*@Author: zhangyi
*@date: 2023/5/17 9:03
*/
@Slf4j
@RestController
@RequestMapping(value = "/enterpriseBussiness")
public class EnterpriseBussinessController {
    @Autowired
    EnterpriseBussinessService enterpriseBussinessService;

    @ApiOperation(value = "客户信息列表")
    @RequestMapping(value = "/clientPage", method = RequestMethod.POST)
    public TableDataInfo clientPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.clientPage(paramMap);
    }

    @ApiOperation(value = "客户项目列表")
    @RequestMapping(value = "/clientProjectPage", method = RequestMethod.POST)
    public TableDataInfo clientProjectPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.clientProjectPage(paramMap);
    }

    @ApiOperation(value = "投标记录列表（开标记录）")
    @RequestMapping(value = "/tenderPage",method = RequestMethod.POST)
    public TableDataInfo tenderPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.tenderPage(paramMap);
    }

    @ApiOperation(value = "投标记录详情（开标记录）")
    @RequestMapping(value = "/tenderDetail",method = RequestMethod.POST)
    public R tenderDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.tenderDetail(paramMap);
    }

    @ApiOperation(value = "供应商列表")
    @RequestMapping(value = "/supplierPage",method = RequestMethod.POST)
    public TableDataInfo supplierPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.supplierPage(paramMap);
    }

    @ApiOperation(value = "供应商项目列表")
    @RequestMapping(value = "/supplierProjectPage",method = RequestMethod.POST)
    public TableDataInfo supplierProjectPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.supplierProjectPage(paramMap);
    }

    @ApiOperation(value = "中标项目详情")
    @RequestMapping(value = "/projectDetail", method = RequestMethod.POST)
    public R projectDetail(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.projectDetail(paramMap);
    }

    @ApiOperation(value = "招标代理常合作代理机构列表")
    @RequestMapping(value = "/oftenAgencyPage",method = RequestMethod.POST)
    public TableDataInfo oftenAgencyPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.oftenAgencyPage(paramMap);
    }

    @ApiOperation(value = "招标合作明细列表")
    @RequestMapping(value = "/bidCooperatePage", method = RequestMethod.POST)
    public TableDataInfo bidCooperatePage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.bidCooperatePage(paramMap);
    }

    @ApiOperation(value = "历史发包列表")
    @RequestMapping(value = "/historySendPage", method = RequestMethod.POST)
    public TableDataInfo historySendPage(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.historySendPage(paramMap);
    }

    @ApiOperation(value = "历史发包省份")
    @RequestMapping(value = "/historySendProvince", method = RequestMethod.POST)
    public R historySendProvince(@RequestBody Map<String, Object> paramMap) throws Exception {
        return enterpriseBussinessService.historySendProvince(paramMap);
    }


}
